Notes de mise à jour de Moodle 3.2

Remarque : la traduction de cette page n'est pas terminée. N'hésitez pas à traduire tout ou partie de cette page ou à la compléter. Vous pouvez aussi utiliser la page de discussion pour vos recommandations et suggestions d'améliorations.


Version 3.2

Sortie : lundi 5 décembre 2016

Vous pouvez consulter un survol des nouvelles fonctionnalités de Moodle 3.2 avec des copies d'écran, ou cette série de vidéos (en anglais).

Vous pouvez consulter la liste des détails sur les évolutions et corrections de bogues de cette version 3.2 (en anglais).

Merci beaucoup à tous les développeurs qui ont travaillé sur les correctifs et les nouvelles fonctionnalités de cette version.

Prérequis serveur

Ces versions sont les versions minimales pour assurer un fonctionnement correct ; nous vous recommandons d'utiliser des versions récentes et à jour.

  • Mise à jour : possible depuis Moodle 2.7 minimum (si vous avez une version plus ancienne, passez au moins à Moodle 2.7.14 d'abord)
  • Versions PHP : 5.6.5 minimum (la version minimale a changé depuis Moodle 3.1 ! ). PHP 7.0 et 7.1 sont supportés, mais peuvent avoir quelques limitations (notamment liées aux plugins) ; PHP 7.2 n'est pas supporté !
  • Extensions PHP recommandées : xmlreader (nouveau), GD (pour la conversion des images), zlib, OPcache
  • Ghostscript doit être installé pour l'annotation des fichiers PDF rendus dans les devoirs
  • Unoconv devrait être installé pour la conversion de fichiers utilisée pour l'annotation PDF depuis différents types de fichiers (nouveauté de Moodle 3.1)

Prérequis de base de données

Moodle supporte les bases de données suivantes. Les versions minimales sont bien les minimales supportées, il est recommandé d'utiliser les dernières versions stables de chaque logiciel !

Base de données Version minimale Version recommandée
PostgreSQL 9.1 Dernière
MySQL 5.5.31 Dernière
MariaDB 5.5.31 Dernière
Microsoft SQL Server 2008 Dernière
Oracle 10.2 Dernière

Prérequis client

Navigateurs internet supportés

Moodle 3.2 est compatible avec les navigateurs internet récents respectant les standards du web. Nous testons régulièrement Moodle avec plusieurs navigateurs.

De bureau :

  • Google Chrome
  • Mozilla Firefox
  • Safari
  • Edge
  • Internet explorer

Pour mobile :

  • Safari Mobile
  • Google Chrome

Pour la meilleure expérience et une sécurité optimale, nous recommandons que vous gardiez votre navigateur internet à jour : http://www.whatbrowser.org/intl/fr/

Note : certains navigateurs anciens ayant des problèmes de compatibilité connus avec Moodle 3.2 :

  • Internet Explorer 10 et précédents
  • Safari 7 et précédents

Avant de mettre à jour

Pour pouvoir mettre à jour vers Moodle 3.2, Moodle 2.7 minimum est nécessaire (si vous avez une version plus ancienne, passez d'abord à Moodle 2.7.14 minimum).

Si vous n'installez pas une version neuve de Moodle 3.2, mais réalisez une mise à jour depuis une version existante, consultez impérativement les informations de Mise à jour à Moodle 3.2 !

Nouvelles fonctionnalités majeures

Améliorations principales

  • MDL-55071, MDL-55074 - Nouveau thème "Boost" basé sur Bootstrap 4, amélioration d'utilisabilité et de navigation
  • MDL-54682 - Améliorations à l'interface de Messagerie
  • MDL-52777 - Visites guidées - informations en superposition lors de la première visite d'un utilisateur sur une page
  • MDL-38158 - Pluggable media players in Moodle; Video.JS player
  • MDL-55324 - Easier embedding videos in audios in Atto editor with poster, subtitles and other attributes
  • MDL-54987 - New chart API and library

Application mobile

  • MDL-53870 - Support des tests en mode hors ligne dans l'application mobile
  • MDL-53777 - Include support for login via the browser in the new Moodle Mobile admin tool
  • MDL-55059 - Support Smart App Banners for iOS
  • MDL-56607 - Les paramètres mobile sont déplacés dans l'administration principale

Outil externe (LTI)

  • MDL-49609 - Add LTI Content Item support
  • MDL-47113 - Ouverture des outils LTI dans une nouvelle fenêtre, ajout d'un lien si les fenêtres surgissantes sont bloquées
  • MDL-53832 - Support LTI v2.0

Activité Devoir

Activité Test

  • MDL-48629 - Change the separator for matching correct answer feedback
  • MDL-3782 - Allow multiple answers in cloze MULTICHOICE question type
  • MDL-55200 - Show coordinates in ddmarker questions to simplify dropzone creation
  • MDL-27072 - Les rapports de test fonctionnent maintenant sur de très gros cours (plutôt que planter par manque de mémoire)

Activité Sondage

  • MDL-18592 - L'enseignant peut faire des choix pour les étudiants
  • MDL-11369 - Affichage de la date limite du sondage dans le calendrier du cours
  • MDL-55140 - Possibilité de spécifier des dates d'ouverture et de fermeture séparément
  • MDL-37946 - Appliquer le réglage du sondage (horizontal ou vertical) à l'affichage des options possibles ainsi qu'aux résultats

Activité Forum

  • MDL-18599 - Upon restore, association of "owner" of single simple discussion forum type defaults to user completing restore. Solution: hide author of the first post
  • MDL-37669 - Forum : "marquer le message comme lu après notification" devient une préférence utilisateur
  • MDL-55982 - Possibilité de verrouiller automatiquement les discussions d'un forum après une période d'inactivité

Autres modules d'activité

  • MDL-55327 - Leçon : possibilité de dupliquer des pages
  • MDL-55868 - Livre : plusieurs améliorations d'utilisabilité
  • MDL-56100 - Dossier : affichage dans le bloc "Activité récente"
  • MDL-54945 - Atelier : intégration avec l'API de portfolio
  • MDL-48944 - Survey: activity completion condition on survey completion
  • MDL-44712 - SCORM: improve Multi-SCO completion handing in activity completion
  • MDL-55158 - Base de données : ajout des dates de début et de fin au calendrier
  • MDL-14448, MDL-55464, MDL-55254, MDL-55251, MDL-49029 - Ajout de capacités standard "mod/xxxxx:view" aux modules Leçon, Étiquette, Base de données, Chat et Sondage
  • MDL-55866 - Remember editor disabled setting on a per-activity setting

Recherche globale

  • MDL-54794 - Ajout des utilisateurs à la recherche globale
  • MDL-54973 - Ajout des messages à la recherche globale
  • MDL-55127 - Ajout des fiches de base de données à la recherche globale
  • MDL-53222 - Revise admin settings/report for global search for improved usability

Autres améliorations

  • MDL-30179 - Allow teacher to toggle to/from "user view" in the User report in the gradebook (some items may be hidden for students but not teachers)
  • MDL-53048 - Nouveau champ "password" qui n'est pas auto-rempli par les gestionnaires de mot de passe
  • MDL-55767 - Competency frameworks import
  • MDL-29110 - Specify welcome email sender in enrol_self, or send emails from system noreply address
  • MDL-22078 - Nouvelle "Date de fin" pour chaque cours, utilisée dans les rapports et l'analyse
  • MDL-53399 - Option "Sélecteur d'activité (Oui/Non)" déplacée dans les préférences utilisateur
  • MDL-54751 - Suppression des modules d'activité de façon asynchrone afin que les sauvegardes liées à la corbeille ne ralentissent plus le processus d'édition pour les enseignants
  • MDL-55981 - Par défaut l'enseignant non éditeur ne devrait pas pouvoir accéder à tous les groupes (le rôle n'est pas modifié lors d'une mise à jour)
  • MDL-31356 - IMS Enterprise enrol plugin added features
  • MDL-43230 - Possibilité de révoquer les badges délivrés
  • MDL-50286 - Possibilité de filtrer les rapports d'historique par origine, pour éviter d'être submergé par tous les éléments générés automatiquement par Moodle (origine = 'cli')
  • MDL-51749 - Add Ability to Export Calendar for user or group events
  • MDL-50888 - Antivirus: Implement ClamAV virus scanning using unix sockets.
  • MDL-54617 - Toujours afficher le nombre d'utilisateurs en ligne dans le bloc "Utilisateurs en ligne"
  • MDL-54680 - Offer cartridges in LTI provider
  • MDL-42101 - Le lien vers les notes est déplacé du bloc administration vers le bloc navigation

Pour les administrateurs

Veuillez lire attentivement : problèmes possibles en mettant à jour vers Moodle 3.2

  • MDL-44467 - Return-Path should use no-reply address instead of support email; use only no-reply email or allowed domains in "From" header
  • MDL-48468 - Add a Redis cache store to Moodle core
  • MDL-39117 - Add a APCu cache store to Moodle core
  • MDL-54947 - Update PostgreSQL binary (bytea) handling and improve connection performance
  • MDL-48766 - Support IPv6 in IP lookup tool
  • MDL-55124 - Support for connection pooler (pgbouncer) in PostgreSQL connection
  • MDL-55916 - Le mode de maintenance sert maintenant un code http 503 plutôt que 200
  • MDL-54606 - Sessions: Add support for Redis as a session_class_handler
  • MDL-53366 - Antivirus clamav : suppression du paramètre "Dossier de quarantaine"
  • MDL-55791 - Ajout d'une capacité pour permettre la connexion à certains utilisateurs lorsque le mode de maintenance est activé
Suppression de plugins

Si vous utilisez certains des plugins suivants, vous devrez les télécharger et les installer, sinon ils seront retirés lors de la mise à jour vers Moodle 3.2. Le code est toujours disponible depuis la base de données des plugins, et les liens sur les noms des plugins y mènent.

Services web

  • MDL-31465 - Possibilité de suspendre les utilisateurs via les services web
  • MDL-45639 - Service Web pour l'authentification unique (connexion automatique de l'application au site)
  • MDL-55923 - Improve the behavior of deleted tokens on password reset
  • MDL-55928 - Nouveau Service Web gradereport_user_get_grade_items
  • MDL-55100 - Nouveau Service Web core_course_get_courses_by_field

Pour les développeurs

Voir aussi